Я установил librosa с помощью pip

pip установить librosa

После установки мне пришло сообщение, что я могу обновить свою версию в pip, и я так и сделал. Теперь, даже когда я набираю pip, я получаю эту ошибку

sys.exit (main ()) TypeError: объект 'module' не вызывается

Я проверил pip-script.py, но ничего не понял

0
a1ft a1ft 17 Окт 2019 в 15:51
1
Можете ли вы поделиться полной последовательностью выполненных вами команд или, по крайней мере, команд, которые приводят к ошибке?
 – 
rok
17 Окт 2019 в 15:53
 – 
Pratik Gandhi
17 Окт 2019 в 15:58

2 ответа

Попробуй это

python -m pip install --upgrade pip
0
ArunJose_Intel 17 Окт 2019 в 16:01

Да, ответ, как упомянул ArunJose_Intel.

python -m pip install --upgrade pip

Первоначально о проблеме было сообщено здесь.

Объяснение, как объясняет pfmoore в исходном выпуске:

Обновление --user не будет обновлять / usr / local / bin / pip, который по-прежнему ожидает увидеть старую версию pip. Но пользовательская установка имеет приоритет, поэтому он видит новую версию.

Итак, проблема в том, что local/bin/pip ожидает другую версию pip.

0
Francisco Melo junior 22 Окт 2019 в 07:20